<template>
    <div>
        <v-list three-line subheader
            style="background-color: #000411;"
        >
            <v-subheader class="white--text">Informações</v-subheader>
            <v-list-item>
                <v-list-item-content>
                    <v-list-item-title class="white--text">Nome</v-list-item-title>
                    <v-list-item-subtitle class="white--text">{{area.title}}</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-content>
                    <v-list-item-title class="white--text">ID</v-list-item-title>
                    <v-list-item-subtitle class="white--text">{{area.id}}</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-content>
                    <v-list-item-title class="white--text">Concentração de nuvens (max)</v-list-item-title>
                    <v-list-item-subtitle class="white--text">{{area.cloudiness}}%</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-content>
                    <v-list-item-title class="white--text">Tamanho (ha)</v-list-item-title>
                    <v-list-item-subtitle class="white--text">{{area.ha}}</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-content>
                    <v-list-item-title class="white--text">Satelite</v-list-item-title>
                    <v-list-item-subtitle class="white--text">{{area.satellite}}</v-list-item-subtitle>
                </v-list-item-content>
                <v-list-item-content>
                    <v-list-item-title class="white--text">Periodo</v-list-item-title>
                    <v-list-item-subtitle class="white--text">{{area.period}}</v-list-item-subtitle>
                </v-list-item-content>
            </v-list-item>
        </v-list>
        <v-divider></v-divider>
        <div v-if="arrayImages==null">
            <v-col justify="center">
                <v-row justify="center">
                    <v-btn 
                    class="primary"
                    @click="baixarImagens(area.id)"
                    >Baixar imagens</v-btn>

                </v-row>
            </v-col>
        </div>

    <v-pagination
      v-model="pagina"
      :length="total_paginas"
      v-on:next="atualizarLista()"
      v-on:previous="atualizarLista()"
      v-on:input="atualizarLista()"
    ></v-pagination>

    <v-container class="pa-1">
      <v-item-group
        multiple
        column
      >
        <v-row justify="center">
          <v-col
            v-for="image in arrayImages"
            :key="image.id"
            cols="4"
            md="3"
          >
            <v-card
              outlined
              class="white--text"
              style="background-color: #000411;"
              max-height="500"
              max-width="344"
            >              
              <v-img
                contain
                :src="image.link"
              ></v-img>
              
              <v-card-actions>
                <v-col>
                  <v-row justify="space-between">
                    <v-btn
                      color="primary"
                      dark
                      @click="processarImagem(area.id,image.id)"
                    >Identificar talhões</v-btn>
                    <v-chip
                      label
                    >
                      ID: {{image.id}}
                    </v-chip>
                  </v-row>
                </v-col>
              </v-card-actions>
            </v-card>
          </v-col>
        </v-row>
      </v-item-group>
    </v-container>
    <v-pagination
      v-model="pagina_p"
      :length="total_paginas_p"
      v-on:next="atualizarListaProcessadas()"
      v-on:previous="atualizarListaProcessadas()"
      v-on:input="atualizarListaProcessadas()"
    ></v-pagination>

    <v-container class="pa-1">
      <v-item-group
        multiple
        column
      >
        <v-row justify="center">
          <v-col
            v-for="image in arrayImagesProcessadas"
            :key="image.id"
            cols="4"
            md="3"
          >
            <v-card
              outlined
              class="white--text"
              style="background-color: #000411;"
              max-height="500"
              max-width="344"
            >              
              <v-img
                contain
                :src="image.link"
              ></v-img>
              
              <v-card-actions>
                <v-col>
                  <v-row justify="space-between">
                    <v-chip
                      label
                    >
                      ID: {{image.id}}
                    </v-chip>
                    <a
                      :href="image.link"
                      download
                    >
                    <v-btn
                        color="primary"
                        dark
                        @click="download(image.link)"
                      >Download</v-btn>
                      
                    </a>
                  </v-row>
                </v-col>
              </v-card-actions>
            </v-card>
          </v-col>
        </v-row>
      </v-item-group>
    </v-container>
    </div>    
</template>

<script src="./GaleriaController.js" ></script>